{
  gROOT->Reset();
  gROOT->Macro("start.C");
  Int_t cutnumber=3;
  Int_t nbins=12;
  TString CutNum=gSystem->Getenv("Cut");
  Int_t nn;
  if(CutNum!="")
    {
      sscanf((const char*) CutNum,"%d",&nn);
      cutnumber=nn;
      printf("nn=%d \n",nn);
    };
  

  char dirname[200];
  Long_t pathmask=0x1FE;
  TString PathMask=gSystem->Getenv("PathMask");
  if(PathMask!="")
    {
      sscanf((const char*) PathMask,"%lx",&pathmask);
    };
  printf("%s -> %lX \n",(const char*) PathMask,pathmask );
  sprintf(dirname,"Dir5bcut%dset%lx_nb%d",cutnumber,pathmask,nbins);
  printf("%s \n",dirname);
 
  gROOT->Macro("CommonSpin.C");

  TH1F* PtuN=new TH1F("PtuN","uN",nbins,0,25.);
  TH1F* PtdN=new TH1F("PtdN","dN",nbins,0,25.);
  TH1F* PtuS=new TH1F("PtuS","uS",nbins,0,25.);
  TH1F* PtdS=new TH1F("PtdS","dS",nbins,0,25.);
  TString cutlist[20];
  cutlist[0]="abs(Eta-3.3)<.7&&N12==1 &&abs(E12-80)<20";
  cutlist[1]="abs(Eta-3.3)<.7&&N12==1 &&abs(E12-110)<20";
  cutlist[2]="abs(Eta-3.3)<.7&&N12==1 &&abs(E12-150)<20";

  cutlist[3]="abs(Eta-3.3)<.7&&N12==1 &&abs(E12-80)<20&&abs(sigmaMaxF1-.5)<.03&&chiSquareF1<10";
  cutlist[4]="abs(Eta-3.3)<.7&&N12==1 &&abs(E12-110)<20&&abs(sigmaMaxF1-.5)<.03&&chiSquareF1<10";
  cutlist[5]="abs(Eta-3.3)<.7&&N12==1 &&abs(E12-150)<20&&abs(sigmaMaxF1-.5)<.03&&chiSquareF1<10";

  cutlist[6]="abs(Eta-3.3)<.7&&N12==1 &&abs(E12-80)<20&&abs(sigmaMaxF1-.625)<.075&&chiSquareF1>5";
  cutlist[7]="abs(Eta-3.3)<.7&&N12==1 &&abs(E12-110)<20&&abs(sigmaMaxF1-.625)<.075&&chiSquareF1>5";
  cutlist[8]="abs(Eta-3.3)<.7&&N12==1 &&abs(E12-150)<20&&abs(sigmaMaxF1-.625)<.075&&chiSquareF1>5";

  TString cuts=cutlist[cutnumber];

  TString North="&&cos(Phi)<-.5";
  TString South="&&cos(Phi)>.5";
  TString Bdown="&&abs(spin-.5)<.6";
  TString Bup="&&abs(spin-2.5)<.6";
  TString Ydown="&&spin<4&&(spin%2==0)";
  TString Yup="&&spin<4&&(spin%2==1)";
  //note the reversal of spin signs from CDev files??
  TString dn=Bup;
  TString up=Bdown;
  TwoTr->Project("PtuN","Pt",cuts+North+up);
  PtuN->SetLineColor(1);
  TwoTr->Project("PtdN","Pt",cuts+North+dn);
  PtdN->SetLineColor(2);
  PtuN->Draw("e");
  PtdN->Draw("esame");
  PtuN->Sumw2();  

  PtdN->Sumw2();
  TH1F* RN=new TH1F((*PtuN)/(*PtdN));
  TwoTr->Project("PtuS","Pt",cuts+South+up);
  PtuS->SetLineColor(3);
  TwoTr->Project("PtdS","Pt",cuts+South+dn);
  PtdS->SetLineColor(4);
  PtuS->Draw("esame");
  PtdS->Draw("esame");
  PtuS->Sumw2();
  PtdS->Sumw2();
  c1->SetTitle("UpN=blk  UpS=grn DnN=red DnS=blue");
  c2->cd();
  c2->SetTitle("U/D_N=blk  U/D_S=blue");
  TH1F* RS=new TH1F((*PtuS)/(*PtdS));
  RN->Draw("e");
  RS->SetLineColor(4);
  RS->Draw("esame");
  TH1F* crossR=new TH1F(at.GetCross(PtuS,PtdS,PtuN,PtdN,"CrossRat"));
  TCanvas* c3=new TCanvas("c3","c3",800,600);
  TString ctit="Cross Ratio: ";
  ctit=ctit+cuts;
  crossR->SetTitle(ctit);
  crossR->GetXaxis()->SetTitle("Pt (GeV)");
  crossR->GetYaxis()->SetTitle("raw cross An");
  crossR->Draw();
  c1->Write();
  c2->Write();
  c3->Write();
  crossR->Write();
  RN->Write();
  RS->Write();
  PtuS->Write();
  PtdS->Write();
  PtdN->Write();
  PtuN->Write();
  fout.cd("../");
  /* usage example
TFile fout("fout.root");
TH1F* h=(TH1F*) ((TDirectory*)fout.Get("Dircut1set7nb20"))->Get("CrossRat");h->Draw()
  */

}
