{
  gROOT->Reset();
  gROOT->Macro("start.C");
  Int_t cutnumber=0;
  Int_t nbins=70;
  TString CutNum=gSystem->Getenv("Cut");
  Int_t nn;
  if(CutNum!="")
    {
      sscanf((const char*) CutNum,"%d",&nn);
      cutnumber=nn;
      printf("nn=%d \n",nn);
    };
  

  char dirname[200];
  Long_t pathmask=0x1FE;
  TString PathMask=gSystem->Getenv("PathMask");
  if(PathMask!="")
    {
      sscanf((const char*) PathMask,"%lx",&pathmask);
    };
  printf("%s -> %lX \n",(const char*) PathMask,pathmask );
  sprintf(dirname,"DirSMcut%dset%lx_nb%d",cutnumber,pathmask,nbins);
  printf("%s \n",dirname);
 
  gROOT->Macro("CommonSpin.C");

  TH1F* SigmuN=new TH1F("SigmuN","uN",nbins,0.,1.);
  TH1F* SigmdN=new TH1F("SigmdN","dN",nbins,0.,1.);
  TH1F* SigmuS=new TH1F("SigmuS","uS",nbins,0.,1.);
  TH1F* SigmdS=new TH1F("SigmdS","dS",nbins,0.,1.);
  TString cutlist[20];
  TString cuts0="abs(Eta-3.3)<.7&&N12==1 &&abs(E12-60)<10";
  TString cuts1="abs(Eta-3.3)<.7&&N12==1 &&abs(E12-80)<10";
  TString cuts2="abs(Eta-3.3)<.7&&N12==1 &&abs(E12-110)<20";
  TString cuts3="abs(Eta-3.3)<.7&&N12==1 &&abs(E12-150)<20";
  TString cuts4="abs(Eta-3.3)<.7&&N12==1 &&abs(E12-80)<20&&Ntracks==1";

  TString cuts5="abs(Eta-3.6)<.3&&N12==1 &&abs(E12-60)<10";
  TString cuts6="abs(Eta-3.6)<.3&&N12==1 &&abs(E12-80)<10";
  TString cuts7="abs(Eta-3.6)<.3&&N12==1 &&abs(E12-110)<20";
  TString cuts8="abs(Eta-3.6)<.3&&N12==1 &&abs(E12-150)<20";
  TString cuts9="abs(Eta-3.6)<.3&&N12==1 &&abs(E12-80)<20&&Ntracks==1";

  cutlist[10]="abs(Eta-3.6)<.3&&N12==1 &&abs(E12-60)<10 &&chiSquareF1<10";
  cutlist[11]="abs(Eta-3.6)<.3&&N12==1 &&abs(E12-80)<10&&chiSquareF1<10";
  cutlist[12]="abs(Eta-3.6)<.3&&N12==1 &&abs(E12-110)<20&&chiSquareF1<10";
  cutlist[13]="abs(Eta-3.6)<.3&&N12==1 &&abs(E12-150)<20&&chiSquareF1<10";


  cutlist[0]=cuts0;
  cutlist[1]=cuts1;
  cutlist[2]=cuts2;
  cutlist[3]=cuts3;
  cutlist[4]=cuts4;
  cutlist[5]=cuts5;
  cutlist[6]=cuts6;
  cutlist[7]=cuts7;
  cutlist[8]=cuts8;
  cutlist[9]=cuts9;

  TString cuts=cutlist[cutnumber];

  TString North="&&cos(Phi)<-.5";
  TString South="&&cos(Phi)>.5";
  TString Bdown="&&abs(spin-.5)<.6";
  TString Bup="&&abs(spin-2.5)<.6";
  TString Ydown="&&spin<4&&(spin%2==0)";
  TString Yup="&&spin<4&&(spin%2==1)";
  //note the reversal of spin signs from CDev files??
  TString dn=Bup;
  TString up=Bdown;
  TwoTr->Project("SigmuN","sigmaMaxF1",cuts+North+up);
  SigmuN->SetLineColor(1);
  TwoTr->Project("SigmdN","sigmaMaxF1",cuts+North+dn);
  SigmdN->SetLineColor(2);
  SigmuN->Draw("e");
  SigmdN->Draw("esame");
  SigmuN->Sumw2();  

  SigmdN->Sumw2();
  TH1F* RN=new TH1F((*SigmuN)/(*SigmdN));
  TwoTr->Project("SigmuS","sigmaMaxF1",cuts+South+up);
  SigmuS->SetLineColor(3);
  TwoTr->Project("SigmdS","sigmaMaxF1",cuts+South+dn);
  SigmdS->SetLineColor(4);
  SigmuS->Draw("esame");
  SigmdS->Draw("esame");
  SigmuS->Sumw2();
  SigmdS->Sumw2();
  c1->SetTitle("UpN=blk  UpS=grn DnN=red DnS=blue");
  c2->cd();
  c2->SetTitle("U/D_N=blk  U/D_S=blue");
  TH1F* RS=new TH1F((*SigmuS)/(*SigmdS));
  RN->Draw("e");
  RS->SetLineColor(4);
  RS->Draw("esame");
  TH1F* crossR=new TH1F(at.GetCross(SigmuS,SigmdS,SigmuN,SigmdN,"CrossRat"));
  TCanvas* c3=new TCanvas("c3","c3",800,600);
  TString ctit="Cross Ratio: ";
  ctit=ctit+cuts;
  crossR->SetTitle(ctit);
  crossR->GetXaxis()->SetTitle("SigmaMax (GeV)");
  crossR->GetYaxis()->SetTitle("raw cross An");
  crossR->Draw();
  c1->Write();
  c2->Write();
  c3->Write();
  crossR->Write();
  RN->Write();
  RS->Write();
  SigmuS->Write();
  SigmdS->Write();
  SigmdN->Write();
  SigmuN->Write();
  fout.cd("../");
  /* usage example
TFile fout("fout.root");
TH1F* h=(TH1F*) ((TDirectory*)fout.Get("Dircut1set7nb20"))->Get("CrossRat");h->Draw()
  */

}
